Package org.eclipse.cdt.utils.debug

## Class DebugField

- java.lang.Object
- - org.eclipse.cdt.utils.debug.DebugField

    public class DebugField
    extends Object

DebugEnumField

### Constructor Summary

Constructors
`DebugField​(String name, DebugType type, int offset, int bits)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DebugType` `getDebugType()`
`String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DebugField

    public DebugField​(String name,
                      DebugType type,
                      int offset,
                      int bits)

### Method Detail

#### getName

    public String getName()

#### getDebugType

    public DebugType getDebugType()